Bug 740602 - config: Corrupted page table at address 7fffae127a40 (2.6.35.14-97.fc14.x86_64)
Summary: config: Corrupted page table at address 7fffae127a40 (2.6.35.14-97.fc14.x86_64)
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 740692 740787 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 16:06 UTC by David Kovalsky
Modified: 2014-03-31 23:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 16:01:52 UTC


Attachments (Terms of Use)

Description David Kovalsky 2011-09-22 16:06:17 UTC
I installed 2.6.35.14-97.fc14.x86_64 from updates-testing and noticed this on all terms / messages:

Sep 22 16:32:16 kovinek kernel: [21463.442276] iwlagn 0000:03:00.0: Fail finding valid aggregation tid: 6
Sep 22 16:36:40 kovinek kernel: [21727.312667] iwlagn 0000:03:00.0: Fail finding valid aggregation tid: 6
Sep 22 17:06:58 kovinek kernel: [23544.268448] iwlagn 0000:03:00.0: Fail finding valid aggregation tid: 6
Sep 22 17:16:28 kovinek kernel: [24113.775677] NVRM: Xid (0000:01:00): 13, 0003 00000000 00008597 000015e0 00000000 00000080
Sep 22 17:17:24 kovinek kernel: [24170.041596] config: Corrupted page table at address 7fffae127a40
Sep 22 17:17:24 kovinek kernel: [24170.041602] PGD 8e8d5067 PUD a0000780300966d5
Sep 22 17:17:24 kovinek kernel: [24170.041608] Bad pagetable: 000b [#1] SMP
Sep 22 17:17:24 kovinek kernel: [24170.041613] last sysfs file: /sys/devices/system/cpu/cpu4/cpufreq/scaling_cur_freq
Sep 22 17:17:24 kovinek kernel: [24170.041618] CPU 6
Sep 22 17:17:24 kovinek kernel: [24170.041620] Modules linked in: tun xhci_hcd fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat bridge stp llc rfcomm sco bnep l2cap cpufreq_ondemand coretemp sunrpc acpi_cpufreq freq_table mperf xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables xfs exportfs ext2 sha256_generic cbc cryptd aes_x86_64 aes_generic xts gf128mul dm_crypt kvm_intel kvm uinput ipv6 nvidia(P) arc4 snd_hda_codec_nvhdmi ecb iwlagn snd_hda_codec_conexant iwlcore snd_hda_intel snd_hda_codec mac80211 uvcvideo snd_hwdep btusb thinkpad_acpi snd_seq snd_seq_device cfg80211 videodev v4l2_compat_ioctl32 bluetooth e1000e snd_pcm i2c_i801 i7core_edac iTCO_wdt rfkill snd_timer edac_core iTCO_vendor_support snd snd_page_alloc i2c_core soundcore joydev microcode wmi firewire_ohci firewire_core sdhci_pci sdhci mmc_core crc_itu_t video output [last unloaded: xhci_hcd]
Sep 22 17:17:24 kovinek kernel: [24170.041721]
Sep 22 17:17:24 kovinek kernel: [24170.041726] Pid: 22271, comm: config Tainted: P            2.6.35.14-97.fc14.x86_64 #1 4391AL7/4391AL7
Sep 22 17:17:24 kovinek kernel: [24170.041731] RIP: 0010:[<ffffffff8122145d>]  [<ffffffff8122145d>] copy_user_generic_string+0x2d/0x40
Sep 22 17:17:24 kovinek kernel: [24170.041743] RSP: 0018:ffff88007c4bbe10  EFLAGS: 00010246
Sep 22 17:17:24 kovinek kernel: [24170.041747] RAX: 0000000000000000 RBX: 00007fffae127a40 RCX: 0000000000000040
Sep 22 17:17:24 kovinek kernel: [24170.041751] RDX: 0000000000000000 RSI: ffff88012f708e00 RDI: 00007fffae127a40
Sep 22 17:17:24 kovinek kernel: [24170.041756] RBP: ffff88007c4bbe38 R08: ffff88007c4bbf10 R09: ffff88012f5de580
Sep 22 17:17:24 kovinek kernel: [24170.041760] R10: ffff88007c4bbe58 R11: ffff88007c4bbe28 R12: 0000000000000200
Sep 22 17:17:24 kovinek kernel: [24170.041764] R13: ffff88012f708e00 R14: ffffffffffffffff R15: ffff8800a0d90000
Sep 22 17:17:24 kovinek kernel: [24170.041769] FS:  00007fbd035c7720(0000) GS:ffff880002180000(0000) knlGS:0000000000000000
Sep 22 17:17:24 kovinek kernel: [24170.041773] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep 22 17:17:24 kovinek kernel: [24170.041777] CR2: 00007fffae127a40 CR3: 000000008ea84000 CR4: 00000000000006e0
Sep 22 17:17:24 kovinek kernel: [24170.041781] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep 22 17:17:24 kovinek kernel: [24170.041786] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep 22 17:17:24 kovinek kernel: [24170.041790] Process config (pid: 22271, threadinfo ffff88007c4ba000, task ffff8800a0d90000)
Sep 22 17:17:24 kovinek kernel: [24170.041794] Stack:
Sep 22 17:17:24 kovinek kernel: [24170.041796]  ffffffff8101267a ffff88007c4bbf58 ffff88007c4bbf58 0000000000000002
Sep 22 17:17:24 kovinek kernel: [24170.041802] <0> ffff8800a0d90568 ffff88007c4bbf28 ffffffff81009176 00007fffae127a40
Sep 22 17:17:24 kovinek kernel: [24170.041809] <0> 00007fffae127878 0000000000000002 ffff880100000000 00000000000008a1
Sep 22 17:17:24 kovinek kernel: [24170.041816] Call Trace:
Sep 22 17:17:24 kovinek kernel: [24170.041824]  [<ffffffff8101267a>] ? save_i387_xstate+0x108/0x1bd
Sep 22 17:17:24 kovinek kernel: [24170.041832]  [<ffffffff81009176>] do_signal+0x21f/0x690
Sep 22 17:17:24 kovinek kernel: [24170.041840]  [<ffffffff811465be>] ? sys_epoll_wait+0x27c/0x29a
Sep 22 17:17:24 kovinek kernel: [24170.041846]  [<ffffffff81009628>] do_notify_resume+0x28/0x86
Sep 22 17:17:24 kovinek kernel: [24170.041851]  [<ffffffff81009f80>] int_signal+0x12/0x17
Sep 22 17:17:24 kovinek kernel: [24170.041855] Code: 74 30 83 fa 08 72 27 89 f9 83 e1 07 74 15 83 e9 08 f7 d9 29 ca 8a 06 88 07 48 ff c6 48 ff c7 ff c9 75 f2 89 d1 c1 e9 03 83 e2 07 <f3> 48 a5 89 d1 f3 a4 31 c0 c3 90 90 90 90 90 90 90 90 90 83 fa
Sep 22 17:17:24 kovinek kernel: [24170.041904] RIP  [<ffffffff8122145d>] copy_user_generic_string+0x2d/0x40
Sep 22 17:17:24 kovinek kernel: [24170.041912]  RSP <ffff88007c4bbe10>
Sep 22 17:17:24 kovinek kernel: [24170.041959] ---[ end trace 65935258621c6794 ]---
Sep 22 17:17:24 kovinek kernel: [24170.041972] config: Corrupted page table at address 7fbd035c7a00
Sep 22 17:17:24 kovinek kernel: [24170.041975] PGD 8e8d5067 PUD 6c41878030814e9d
Sep 22 17:17:24 kovinek kernel: [24170.041981] Bad pagetable: 0009 [#2] SMP
Sep 22 17:17:24 kovinek kernel: [24170.041985] last sysfs file: /sys/devices/system/cpu/cpu4/cpufreq/scaling_cur_freq
Sep 22 17:17:24 kovinek kernel: [24170.041989] CPU 6
Sep 22 17:17:24 kovinek kernel: [24170.041991] Modules linked in: tun xhci_hcd fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat bridge stp llc rfcomm sco bnep l2cap cpufreq_ondemand coretemp sunrpc acpi_cpufreq freq_table mperf xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables xfs exportfs ext2 sha256_generic cbc cryptd aes_x86_64 aes_generic xts gf128mul dm_crypt kvm_intel kvm uinput ipv6 nvidia(P) arc4 snd_hda_codec_nvhdmi ecb iwlagn snd_hda_codec_conexant iwlcore snd_hda_intel snd_hda_codec mac80211 uvcvideo snd_hwdep btusb thinkpad_acpi snd_seq snd_seq_device cfg80211 videodev v4l2_compat_ioctl32 bluetooth e1000e snd_pcm i2c_i801 i7core_edac iTCO_wdt rfkill snd_timer edac_core iTCO_vendor_support snd snd_page_alloc i2c_core soundcore joydev microcode wmi firewire_ohci firewire_core sdhci_pci sdhci mmc_core crc_itu_t video output [last unloaded: xhci_hcd]
Sep 22 17:17:24 kovinek kernel: [24170.042125]
Sep 22 17:17:24 kovinek kernel: [24170.042130] Pid: 22271, comm: config Tainted: P      D     2.6.35.14-97.fc14.x86_64 #1 4391AL7/4391AL7
Sep 22 17:17:24 kovinek kernel: [24170.042135] RIP: 0010:[<ffffffff812218ac>]  [<ffffffff812218ac>] __get_user_8+0x1c/0x23
Sep 22 17:17:24 kovinek kernel: [24170.042144] RSP: 0018:ffff88007c4bbb20  EFLAGS: 00010283
Sep 22 17:17:24 kovinek kernel: [24170.042148] RAX: 00007fbd035c7a07 RBX: 00007fbd035c7a00 RCX: 0000000000000158
Sep 22 17:17:24 kovinek kernel: [24170.042153] RDX: ffff88007c4ba000 RSI: 0000000000000003 RDI: ffff88007c4ba000
Sep 22 17:17:24 kovinek kernel: [24170.042158] RBP: ffff88007c4bbb78 R08: 0000000000000000 R09: 0000000000000009
Sep 22 17:17:24 kovinek kernel: [24170.042162] R10: ffff8800fc4bbba7 R11: 00007ffffffff000 R12: ffff8800a0d90000
Sep 22 17:17:24 kovinek kernel: [24170.042167] R13: ffff88012f5c9500 R14: 0000000000000001 R15: 000000000000035c
Sep 22 17:17:24 kovinek kernel: [24170.042172] FS:  00007fbd035c7720(0000) GS:ffff880002180000(0000) knlGS:0000000000000000
Sep 22 17:17:24 kovinek kernel: [24170.042178] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep 22 17:17:24 kovinek kernel: [24170.042182] CR2: 00007fbd035c7a00 CR3: 000000008ea84000 CR4: 00000000000006e0
Sep 22 17:17:24 kovinek kernel: [24170.042187] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep 22 17:17:24 kovinek kernel: [24170.042191] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep 22 17:17:24 kovinek kernel: [24170.042196] Process config (pid: 22271, threadinfo ffff88007c4ba000, task ffff8800a0d90000)
Sep 22 17:17:24 kovinek kernel: [24170.042200] Stack:
Sep 22 17:17:24 kovinek kernel: [24170.042203]  ffffffff8107629e ffff88007c4bbb48 0000000000000096 ffff88007c4bbb48
Sep 22 17:17:24 kovinek kernel: [24170.042210] <0> ffffffff8146b267 ffff88007c4bbb60 0000000000000000 ffff8800a0d90000
Sep 22 17:17:24 kovinek kernel: [24170.042219] <0> ffff88012f5c9500 0000000000000001 000000000000035c ffff88007c4bbbb8
Sep 22 17:17:24 kovinek kernel: [24170.042230] Call Trace:
Sep 22 17:17:24 kovinek kernel: [24170.042237]  [<ffffffff8107629e>] ? exit_robust_list+0x3a/0x13e
Sep 22 17:17:24 kovinek kernel: [24170.042246]  [<ffffffff8146b267>] ? _raw_spin_unlock_irqrestore+0x17/0x19
Sep 22 17:17:24 kovinek kernel: [24170.042254]  [<ffffffff8104ba24>] mm_release+0x2e/0x101
Sep 22 17:17:24 kovinek kernel: [24170.042262]  [<ffffffff8103c17d>] ? should_resched+0xe/0x2e
Sep 22 17:17:24 kovinek kernel: [24170.042269]  [<ffffffff8105116e>] exit_mm+0x26/0x127
Sep 22 17:17:24 kovinek kernel: [24170.042276]  [<ffffffff8146b24e>] ? _raw_spin_lock_irq+0x1f/0x21
Sep 22 17:17:24 kovinek kernel: [24170.042283]  [<ffffffff810514be>] do_exit+0x24f/0x74f
Sep 22 17:17:24 kovinek kernel: [24170.042289]  [<ffffffff8146b267>] ? _raw_spin_unlock_irqrestore+0x17/0x19
Sep 22 17:17:24 kovinek kernel: [24170.042297]  [<ffffffff8146c462>] ? oops_end+0x73/0xc7
Sep 22 17:17:24 kovinek kernel: [24170.042304]  [<ffffffff8146c4ae>] oops_end+0xbf/0xc7
Sep 22 17:17:24 kovinek kernel: [24170.042311]  [<ffffffff8103206e>] pgtable_bad+0x8e/0x9a
Sep 22 17:17:24 kovinek kernel: [24170.042317]  [<ffffffff8146e482>] do_page_fault+0xdd/0x265
Sep 22 17:17:24 kovinek kernel: [24170.042324]  [<ffffffff8146b975>] page_fault+0x25/0x30
Sep 22 17:17:24 kovinek kernel: [24170.042332]  [<ffffffff8122145d>] ? copy_user_generic_string+0x2d/0x40
Sep 22 17:17:24 kovinek kernel: [24170.042338]  [<ffffffff8101267a>] ? save_i387_xstate+0x108/0x1bd
Sep 22 17:17:24 kovinek kernel: [24170.042345]  [<ffffffff81009176>] do_signal+0x21f/0x690
Sep 22 17:17:24 kovinek kernel: [24170.042352]  [<ffffffff811465be>] ? sys_epoll_wait+0x27c/0x29a
Sep 22 17:17:24 kovinek kernel: [24170.042359]  [<ffffffff81009628>] do_notify_resume+0x28/0x86
Sep 22 17:17:24 kovinek kernel: [24170.042365]  [<ffffffff81009f80>] int_signal+0x12/0x17
Sep 22 17:17:24 kovinek kernel: [24170.042369] Code: c3 66 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 48 83 c0 07 72 1d 65 48 8b 14 25 08 cc 00 00 48 81 ea d8 1f 00 00 48 3b 42 20 73 07 <48> 8b 50 f9 31 c0 c3 31 d2 48 c7 c0 f2 ff ff ff c3 90 90 90 55
Sep 22 17:17:24 kovinek kernel: [24170.042450] RIP  [<ffffffff812218ac>] __get_user_8+0x1c/0x23
Sep 22 17:17:24 kovinek kernel: [24170.042457]  RSP <ffff88007c4bbb20>
Sep 22 17:17:24 kovinek kernel: [24170.042460] ---[ end trace 65935258621c6795 ]---
Sep 22 17:17:24 kovinek kernel: [24170.042463] Fixing recursive fault but reboot is needed!
Sep 22 17:28:15 kovinek kernel: [24820.622503] iwlagn 0000:03:00.0: iwlagn_tx_agg_start on ra = d8:5d:4c:9f:85:0c tid = 6



I haven't seen anything similar in -96 and older kernels.

Comment 1 Josh Boyer 2011-09-22 17:01:49 UTC
You'll need to recreate this without the nvidia module loaded.

Comment 2 Chuck Ebbert 2011-09-22 17:35:31 UTC
> NVRM: Xid (0000:01:00): 13, 0003 00000000 00008597 000015e0 00000000 00000080

Note that this is an error message from the nvidia driver.

Comment 3 David Kovalsky 2011-09-23 11:02:09 UTC
Thanks for looking into this. 

I understand that you can't fix anything in the binary driver. Still, it's weird that I haven't seen any issues like this with the binary driver with earlier kernels and this got triggered only a couple of hours after the update. 

It could be Just My Luck though :)

Comment 4 Dave Jones 2011-09-26 16:01:52 UTC
yeah, nothing we can really do here. It's actually not an uncommon thing to see the nvidia driver corrupting memory (across many versions). It's just sometimes it's corrupting things that aren't critical, so the kernel survives.

Comment 5 Dave Jones 2011-09-26 16:03:18 UTC
*** Bug 740692 has been marked as a duplicate of this bug. ***

Comment 6 Dave Jones 2011-09-26 16:04:29 UTC
*** Bug 740787 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.